package de.ps4b.rfid;

import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.component.file.FileComponent;
import org.apache.camel.converter.jaxb.JaxbDataFormat;

import de.ps4b.rfid.model.Event;



public class JPAEventRouter extends RouteBuilder {
	
	private JaxbDataFormat jaxb = new JaxbDataFormat("de.ps4b.rfid.model");
	
    @Override
    public void configure() throws Exception {
        from("file:target/events/in")
        	.convertBodyTo(Event.class)
        	.to("jpa:de.ps4b.rfid.model.Event");

        from("jpa:de.ps4b.rfid.model.Event")
        	.setHeader(FileComponent.HEADER_FILE_NAME, constant("sample_event.xml"))
        	.marshal(jaxb)
        	.to("file:target/events/out");
    }
}